from django.conf.urls.defaults import *
from django.views.generic.simple import direct_to_template
from browse.sitemap import SystemConfigSitemap

sitemaps = {
    'systems': SystemConfigSitemap,
}

urlpatterns = patterns('',
    # Example:
    (r'^$', 'browse.views.index'),
    (r'^m/$', 'browse.views.index_mobile'),
    (r'^(?P<release>[0-9]{1,2}.[0-9]{2})/(?P<make>[^/]+)/(?P<model>.+?)/(?P<device_sig>[^/]+?)/status/$',
    'system_configs.views.status'),
    (r'^(?P<release>[0-9]{1,2}.[0-9]{2})/(?P<make>[^/]+)/(?P<model>.+?)/(?P<device_sig>[^/]+?)/devices/$',
    'system_configs.views.all_devices'),
    (r'^(?P<release>[0-9]{1,2}.[0-9]{2})/(?P<make>[^/]+)/(?P<model>.+?)/(?P<device_sig>[^/]+?)/feedback/$',
    'system_configs.views.feedback'),
    (r'^(?P<release>[0-9]{1,2}.[0-9]{2})/(?P<make>[^/]+)/(?P<model>.+?)/(?P<device_sig>[^/]+?)/units/$',
    'system_configs.views.units'),
    (r'^(?P<release>[0-9]{1,2}.[0-9]{2})/(?P<make>[^/]+)/(?P<model>.+?)/(?P<device_sig>[^/]+?)/units/(?P<unit_id>[0-9]+)/$',
    'system_configs.views.unit'),
    (r'^(?P<release>[0-9]{1,2}.[0-9]{2})/(?P<make>[^/]+)/(?P<model>.+?)/(?P<device_sig>[^/]+?)/$',
    'system_configs.views.system_config'),
    (r'^participate/$', direct_to_template, {
        'template': 'participate.html',
    }),
    (r'^what-is-ubuntu-friendly/$', direct_to_template, {
        'template': 'what_is_ubuntu_friendly.html',
    }),
    (r'^report-a-problem/$', direct_to_template, {
        'template': 'report_a_problem.html',
    }),
    (r'^getting-your-submission-into-ubuntu-friendly/$', direct_to_template, {
        'template': 'submission_inclusion_help.html',
    }),
    (r'^sitemap.xml$', 'django.contrib.sitemaps.views.sitemap',
        {'sitemaps': sitemaps}),

)
