from django.contrib import admin
from results.models import (
    CategoryMapping,
    ImportLock,
    ImportSchedule,
    SkippableTest,
    TestMapping,
)


class ImportLockAdmin(admin.ModelAdmin):
    list_display = ('locked_by', 'created_at')


admin.site.register(ImportLock, ImportLockAdmin)


class ImportScheduleAdmin(admin.ModelAdmin):
    list_display = ('release', 'import_since', 'full_refresh')


admin.site.register(ImportSchedule, ImportScheduleAdmin)


class CategoryMappingAdmin(admin.ModelAdmin):
    list_display = ('incoming_category', 'uf_category', 'release')
    list_filter = ('release',)

admin.site.register(CategoryMapping, CategoryMappingAdmin)


class SkippableTestAdmin(admin.ModelAdmin):
    pass

admin.site.register(SkippableTest, SkippableTestAdmin)


class TestMappingAdmin(admin.ModelAdmin):
    list_display = ('incoming_test', 'mapped_test', 'release')
    list_filter = ('release',)

admin.site.register(TestMapping, TestMappingAdmin)
