# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding model 'ImportSchedule'
        db.create_table('results_importschedule', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('release', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['releases.Distro'], unique=True)),
            ('import_since', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('full_refresh', self.gf('django.db.models.fields.BooleanField')(default=False)),
        ))
        db.send_create_signal('results', ['ImportSchedule'])


    def backwards(self, orm):
        
        # Deleting model 'ImportSchedule'
        db.delete_table('results_importschedule')


    models = {
        'releases.distro': {
            'Meta': {'ordering': "('i_version', 'release')", 'object_name': 'Distro'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '24'}),
            'i_version': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_latest': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_lts': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'release': ('django.db.models.fields.CharField', [], {'max_length': '10'}),
            'supported_until': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'})
        },
        'results.categorymapping': {
            'Meta': {'unique_together': "[('release', 'incoming_category', 'uf_category')]", 'object_name': 'CategoryMapping'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'incoming_category': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'release': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['releases.Distro']"}),
            'uf_category': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        },
        'results.importlock': {
            'Meta': {'object_name': 'ImportLock'},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'locked_by': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        },
        'results.importschedule': {
            'Meta': {'object_name': 'ImportSchedule'},
            'full_refresh': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'import_since': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'release': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['releases.Distro']", 'unique': 'True'})
        },
        'results.skippabletest': {
            'Meta': {'unique_together': "[('release', 'uf_category', 'test')]", 'object_name': 'SkippableTest'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'release': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['releases.Distro']"}),
            'test': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'uf_category': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        },
        'results.testmapping': {
            'Meta': {'unique_together': "[('release', 'incoming_test', 'mapped_test')]", 'object_name': 'TestMapping'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'incoming_test': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'mapped_test': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'release': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['releases.Distro']"})
        }
    }

    complete_apps = ['results']
