from django.db.models import Sum
from system_configs.models import SystemUnit, SystemConfig


def save_config_star_rating(system):
    system.num_ratings = SystemUnit.objects.filter(config=system).count()
    total_rating = SystemConfig.objects.filter(pk=system.id) \
                .aggregate(total_rating=Sum('systemunit__rating'))
    total_rating = total_rating['total_rating']
    if total_rating is None:
        total_rating = 0
    system.overall_rating = '%s' % \
                        (float(total_rating) / system.num_ratings)
    system.save()
