from django.contrib import admin
from system_configs.models import (
    SystemConfig,
    SystemUnit,
    RejectedSubmission,
)


class SystemConfigAdmin(admin.ModelAdmin):
    list_display = ('make', 'model', 'device_profile_signature')

admin.site.register(SystemConfig, SystemConfigAdmin)


class SystemUnitAdmin(admin.ModelAdmin):
    list_display = ('config', 'test_run_source',
        'submitted_by', 'submission_date', 'rating')
    search_fields = ('submitted_by',)

admin.site.register(SystemUnit, SystemUnitAdmin)


class RejectedSubmissionAdmin(admin.ModelAdmin):
    list_display = ('test_run_source',
        'submitted_by', 'submission_date')
    search_fields = ('submitted_by',)

admin.site.register(RejectedSubmission, RejectedSubmissionAdmin)
