from django.db import models


class SubmissionManager(models.Manager):
    def submitted_by_period(self, period, start, end):

        period_select = {
            'period':
                "date_trunc('%s', \"%s\".\"%s\")" \
                    % (period, self.model._meta.db_table,
                        'submission_date')
        }
        return self.filter(submission_date__range=(start, end))\
                .extra(select=period_select)\
                .values('period')\
                .annotate(count=models.Count('id'))\
                .order_by('period')
