# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding model 'SystemDevice'
        db.create_table('system_configs_systemdevice', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('identifier', self.gf('django.db.models.fields.CharField')(max_length=96)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=96)),
            ('vendor_name', self.gf('django.db.models.fields.CharField')(max_length=96, null=True)),
            ('category', self.gf('django.db.models.fields.CharField')(max_length=48)),
        ))
        db.send_create_signal('system_configs', ['SystemDevice'])

        # Adding model 'SystemConfig'
        db.create_table('system_configs_systemconfig', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('make', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('model', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('release', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['releases.Distro'])),
            ('form_factor', self.gf('django.db.models.fields.CharField')(max_length=7)),
            ('device_profile_signature', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('num_ratings', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('overall_rating', self.gf('django.db.models.fields.DecimalField')(default=0, max_digits=3, decimal_places=2)),
            ('created', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
        ))
        db.send_create_signal('system_configs', ['SystemConfig'])

        # Adding M2M table for field device_profile on 'SystemConfig'
        db.create_table('system_configs_systemconfig_device_profile', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('systemconfig', models.ForeignKey(orm['system_configs.systemconfig'], null=False)),
            ('systemdevice', models.ForeignKey(orm['system_configs.systemdevice'], null=False))
        ))
        db.create_unique('system_configs_systemconfig_device_profile', ['systemconfig_id', 'systemdevice_id'])

        # Adding model 'SystemUnit'
        db.create_table('system_configs_systemunit', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('config', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['system_configs.SystemConfig'])),
            ('identifier', self.gf('django.db.models.fields.CharField')(max_length=96)),
            ('rating', self.gf('django.db.models.fields.DecimalField')(default=0, max_digits=3, decimal_places=2)),
            ('created', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
        ))
        db.send_create_signal('system_configs', ['SystemUnit'])

        # Adding model 'SystemUnitTestResult'
        db.create_table('system_configs_systemunittestresult', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('unit', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['system_configs.SystemUnit'])),
            ('device', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['system_configs.SystemDevice'], null=True)),
            ('category', self.gf('django.db.models.fields.CharField')(max_length=24)),
            ('passed', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('created', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
        ))
        db.send_create_signal('system_configs', ['SystemUnitTestResult'])


    def backwards(self, orm):
        
        # Deleting model 'SystemDevice'
        db.delete_table('system_configs_systemdevice')

        # Deleting model 'SystemConfig'
        db.delete_table('system_configs_systemconfig')

        # Removing M2M table for field device_profile on 'SystemConfig'
        db.delete_table('system_configs_systemconfig_device_profile')

        # Deleting model 'SystemUnit'
        db.delete_table('system_configs_systemunit')

        # Deleting model 'SystemUnitTestResult'
        db.delete_table('system_configs_systemunittestresult')


    models = {
        'releases.distro': {
            'Meta': {'ordering': "('i_version', 'release')", 'object_name': 'Distro'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '24'}),
            'i_version': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'release': ('django.db.models.fields.CharField', [], {'max_length': '10'}),
            'supported_until': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'})
        },
        'system_configs.systemconfig': {
            'Meta': {'object_name': 'SystemConfig'},
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'device_profile': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['system_configs.SystemDevice']"}),
            'device_profile_signature': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'form_factor': ('django.db.models.fields.CharField', [], {'max_length': '7'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'make': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'num_ratings': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'overall_rating': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '3', 'decimal_places': '2'}),
            'release': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['releases.Distro']"})
        },
        'system_configs.systemdevice': {
            'Meta': {'object_name': 'SystemDevice'},
            'category': ('django.db.models.fields.CharField', [], {'max_length': '48'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'identifier': ('django.db.models.fields.CharField', [], {'max_length': '96'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '96'}),
            'vendor_name': ('django.db.models.fields.CharField', [], {'max_length': '96', 'null': 'True'})
        },
        'system_configs.systemunit': {
            'Meta': {'object_name': 'SystemUnit'},
            'config': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['system_configs.SystemConfig']"}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'identifier': ('django.db.models.fields.CharField', [], {'max_length': '96'}),
            'rating': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '3', 'decimal_places': '2'})
        },
        'system_configs.systemunittestresult': {
            'Meta': {'ordering': "('category',)", 'object_name': 'SystemUnitTestResult'},
            'category': ('django.db.models.fields.CharField', [], {'max_length': '24'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'device': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['system_configs.SystemDevice']", 'null': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'passed': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'unit': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['system_configs.SystemUnit']"})
        }
    }

    complete_apps = ['system_configs']
