# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding field 'SystemUnitTestResult.reported_pass'
        db.add_column('system_configs_systemunittestresult', 'reported_pass', self.gf('django.db.models.fields.BooleanField')(default=True), keep_default=False)

        # Adding field 'SystemUnitTestResult.skipped'
        db.add_column('system_configs_systemunittestresult', 'skipped', self.gf('django.db.models.fields.TextField')(default=''), keep_default=False)


    def backwards(self, orm):
        
        # Deleting field 'SystemUnitTestResult.reported_pass'
        db.delete_column('system_configs_systemunittestresult', 'reported_pass')

        # Deleting field 'SystemUnitTestResult.skipped'
        db.delete_column('system_configs_systemunittestresult', 'skipped')


    models = {
        'releases.distro': {
            'Meta': {'ordering': "('i_version', 'release')", 'object_name': 'Distro'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '24'}),
            'i_version': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'release': ('django.db.models.fields.CharField', [], {'max_length': '10'}),
            'supported_until': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'})
        },
        'system_configs.systemconfig': {
            'Meta': {'unique_together': "[('make', 'model', 'device_profile_signature', 'release', 'form_factor')]", 'object_name': 'SystemConfig'},
            'all_devices': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['system_configs.SystemDevice']"}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'device_profile': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'configprofile'", 'to': "orm['system_configs.SystemDevice']"}),
            'device_profile_signature': ('django.db.models.fields.CharField', [], {'max_length': '256'}),
            'form_factor': ('django.db.models.fields.CharField', [], {'max_length': '7', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'make': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'num_ratings': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'overall_rating': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '3', 'decimal_places': '2'}),
            'release': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['releases.Distro']"})
        },
        'system_configs.systemdevice': {
            'Meta': {'ordering': "('category', 'name', 'identifier')", 'object_name': 'SystemDevice'},
            'category': ('django.db.models.fields.CharField', [], {'max_length': '48'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'identifier': ('django.db.models.fields.CharField', [], {'max_length': '96'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '96'}),
            'vendor_name': ('django.db.models.fields.CharField', [], {'max_length': '96', 'null': 'True'})
        },
        'system_configs.systemunit': {
            'Meta': {'object_name': 'SystemUnit'},
            'config': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['system_configs.SystemConfig']"}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'identifier': ('django.db.models.fields.CharField', [], {'max_length': '96'}),
            'rating': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '3', 'decimal_places': '2'})
        },
        'system_configs.systemunittestresult': {
            'Meta': {'ordering': "('category',)", 'object_name': 'SystemUnitTestResult'},
            'category': ('django.db.models.fields.CharField', [], {'max_length': '24'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'device': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['system_configs.SystemDevice']", 'null': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'passed': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'reported_pass': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'skipped': ('django.db.models.fields.TextField', [], {}),
            'unit': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['system_configs.SystemUnit']"})
        }
    }

    complete_apps = ['system_configs']
