# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding model 'RejectedSubmission'
        db.create_table('system_configs_rejectedsubmission', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('test_run_source', self.gf('django.db.models.fields.CharField')(max_length=256)),
            ('submitted_by', self.gf('django.db.models.fields.CharField')(max_length=256)),
            ('submission_date', self.gf('django.db.models.fields.DateTimeField')(null=True)),
            ('reason', self.gf('django.db.models.fields.TextField')()),
        ))
        db.send_create_signal('system_configs', ['RejectedSubmission'])

        # Adding field 'SystemUnit.submitted_by'
        db.add_column('system_configs_systemunit', 'submitted_by', self.gf('django.db.models.fields.CharField')(max_length=256, null=True, blank=True), keep_default=False)

        # Adding field 'SystemUnit.submission_date'
        db.add_column('system_configs_systemunit', 'submission_date', self.gf('django.db.models.fields.DateTimeField')(null=True), keep_default=False)

        # Adding field 'SystemUnit.refreshed'
        db.add_column('system_configs_systemunit', 'refreshed', self.gf('django.db.models.fields.BooleanField')(default=True), keep_default=False)


    def backwards(self, orm):
        
        # Deleting model 'RejectedSubmission'
        db.delete_table('system_configs_rejectedsubmission')

        # Deleting field 'SystemUnit.submitted_by'
        db.delete_column('system_configs_systemunit', 'submitted_by')

        # Deleting field 'SystemUnit.submission_date'
        db.delete_column('system_configs_systemunit', 'submission_date')

        # Deleting field 'SystemUnit.refreshed'
        db.delete_column('system_configs_systemunit', 'refreshed')


    models = {
        'releases.distro': {
            'Meta': {'ordering': "('i_version', 'release')", 'object_name': 'Distro'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '24'}),
            'i_version': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_latest': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_lts': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'release': ('django.db.models.fields.CharField', [], {'max_length': '10'}),
            'supported_until': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'})
        },
        'system_configs.rejectedsubmission': {
            'Meta': {'object_name': 'RejectedSubmission'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'reason': ('django.db.models.fields.TextField', [], {}),
            'submission_date': ('django.db.models.fields.DateTimeField', [], {'null': 'True'}),
            'submitted_by': ('django.db.models.fields.CharField', [], {'max_length': '256'}),
            'test_run_source': ('django.db.models.fields.CharField', [], {'max_length': '256'})
        },
        'system_configs.systemconfig': {
            'Meta': {'unique_together': "[('make', 'model', 'device_profile_signature', 'release', 'form_factor')]", 'object_name': 'SystemConfig'},
            'all_devices': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['system_configs.SystemDevice']"}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'device_profile': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'configprofile'", 'to': "orm['system_configs.SystemDevice']"}),
            'device_profile_signature': ('django.db.models.fields.CharField', [], {'max_length': '256'}),
            'form_factor': ('django.db.models.fields.CharField', [], {'max_length': '7', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'make': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'num_ratings': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'overall_rating': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '3', 'decimal_places': '2'}),
            'release': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['releases.Distro']"})
        },
        'system_configs.systemdevice': {
            'Meta': {'ordering': "('category', 'name', 'identifier')", 'object_name': 'SystemDevice'},
            'category': ('django.db.models.fields.CharField', [], {'max_length': '48'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'identifier': ('django.db.models.fields.CharField', [], {'max_length': '96'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '96'}),
            'vendor_name': ('django.db.models.fields.CharField', [], {'max_length': '96', 'null': 'True'})
        },
        'system_configs.systemunit': {
            'Meta': {'object_name': 'SystemUnit'},
            'config': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['system_configs.SystemConfig']"}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'identifier': ('django.db.models.fields.CharField', [], {'max_length': '96'}),
            'rating': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '3', 'decimal_places': '2'}),
            'refreshed': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'submission_date': ('django.db.models.fields.DateTimeField', [], {'null': 'True'}),
            'submitted_by': ('django.db.models.fields.CharField', [], {'max_length': '256', 'null': 'True', 'blank': 'True'}),
            'test_run_source': ('django.db.models.fields.CharField', [], {'max_length': '256', 'null': 'True', 'blank': 'True'})
        },
        'system_configs.systemunittestresult': {
            'Meta': {'ordering': "('category',)", 'object_name': 'SystemUnitTestResult'},
            'category': ('django.db.models.fields.CharField', [], {'max_length': '24'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'device': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['system_configs.SystemDevice']", 'null': 'True'}),
            'failed': ('django.db.models.fields.TextField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'passed': ('django.db.models.fields.TextField', [], {}),
            'skipped': ('django.db.models.fields.TextField', [], {}),
            'status': ('django.db.models.fields.CharField', [], {'default': "'unknown'", 'max_length': '8'}),
            'unit': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['system_configs.SystemUnit']"})
        }
    }

    complete_apps = ['system_configs']
