from django.conf.urls.defaults import *
from django.conf import settings
from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns('',
    (r'^', include('browse.urls')),
    (r'^admin/', include(admin.site.urls)),
    (r'^util/', include('uf_util.urls')),
    (r'^openid/', include('django_openid_auth.urls')),
    (r'^logout/$', 'django.contrib.auth.views.logout_then_login'),
)

if settings.DEBUG:
    import os
    PROJECT_PATH = os.path.abspath(os.path.split(__file__)[0])
    PROJECT_ROOT = os.path.abspath(os.path.split(PROJECT_PATH)[0])
    DOCUMENT_ROOT = os.path.join(PROJECT_ROOT, 'htdocs')
    urlpatterns += patterns('',
        (r'^assets/(?P<path>.*)$', 'django.views.static.serve',
        {'document_root': DOCUMENT_ROOT}),
    )